<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemStreetTownMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemStreetTown">
        <id column="id" property="id" />
        <result column="district" property="district" />
        <result column="street_town" property="streetTown" />
        <result column="town_type" property="townType" />
        <result column="built_up_area" property="builtUpArea" />
        <result column="permanent_population" property="permanentPopulation" />
        <result column="resident_population" property="residentPopulation" />
        <result column="dangerous_good" property="dangerousGood" />
        <result column="labour_intensive" property="labourIntensive" />
        <result column="last_year_tax" property="lastYearTax" />
        <result column="rescue_team" property="rescueTeam" />
        <result column="internal_rescue_team" property="internalRescueTeam" />
        <result column="external_rescue_team" property="externalRescueTeam" />
        <result column="distance_ time" property="distance time" />
        <result column="dedicated_fire_brigade" property="dedicatedFireBrigade" />
        <result column="specialized_fire_brigade" property="specializedFireBrigade" />
        <result column="visualized_platform" property="visualizedPlatform" />
    </resultMap>

</mapper>
